{% load i18n %}
{% load change_language %}
{% load static %}

{% get_current_language as LANGUAGE_CODE %}
{% get_available_languages as LANGUAGES %}
{% get_language_info_list for LANGUAGES as languages %}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <title>Justus Beyer – Diplom-Tonmeister · Recording Producer</title>
    <meta charset="utf-8">
    <!-- Enter a brief description of your page -->
    <meta name="description" content="">
    <!-- Define a viewport to mobile devices to use - telling the browser to assume that the page is
    as wide as the device (width=device-width, and setting the initial page zoom level to be 1
    (initial-scale=1.0), and fixing width=device-width for iOS9 (shtink-to-fit=no) -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css?family=Oswald:200,300,400,500,600,700&amp;subset=latin-ext"
          rel="stylesheet">
    <link href="{% static 'core/css/styles.css' %}"
          rel="stylesheet"
          media="all">
  </head>
  <body class="footer-manager">
    <div class="footer-manager__non-footer non-footer-scaffold">
      <div class="non-footer-scaffold__header section-board">
        <header class="section-board__section header">
          <div class="header__canvas">
            <h1 class="header__site-title">Justus Beyer – Diplom-Tonmeister · Recording Producer</h1>
            <a href="{% url 'core:index' %}">
              <img class="header__logo"
                   src="{% static 'core/images/logo.png' %}"
                   alt="Justus Beyer – Diplom-Tonmeister · Recording Producer"
                   aria-hidden="true">
            </a>
            <nav class="header__language-selector language-selector">
              <div class="language-selector__current-language">{{ LANGUAGE_CODE }}</div>
              <ul class="language-selector__available-languages language-selector__available-languages--hidden">
                {% for language in languages %}
                  <li class="language-selector__available-language">
                    <a class="language-selector__language-link"
                       rel="alternate"
                       href="{% change_to_language language.code %}"
                       hreflang="{{ language.code }}">
                      {{ language.name_local|lower }}
                    </a>
                  </li>
                {% endfor %}
              </ul>
            </nav>
            <nav class="header__menu">
              <div class="header__hamburger" aria-hidden="true">
                <span class="header__hamburger-line"></span>
                <span class="header__hamburger-line"></span>
                <span class="header__hamburger-line"></span>
              </div>
              {% for item in header_menu_items %}
                <a class="header__menu-item header__menu-item--desktop"
                   href="{% url item.url_name %}{% if item.anchor_name %}#{{ item.anchor_name }}{% endif %}">
                  {{ item.label }}
                </a>
              {% endfor %}
              <a class="header__menu-item header__menu-item--desktop header__contact"
                 href="{% url header_contact.url_name %}">{{ header_contact.label }}</a>
            </nav>
            <nav class="header__mobile-menu header__mobile-menu--hidden"
                 aria-hidden="true">
              {% for item in header_menu_items %}
                <a class="header__menu-item header__menu-item--mobile"
                   href="{% url item.url_name %}{% if item.anchor_name %}#{{ item.anchor_name }}{% endif %}">
                  {{ item.label }}
                </a>
              {% endfor %}
            </nav>
          </div>
        </header>
      </div>
      <main class="non-footer-scaffold__main section-board">
        {% block content %}
        {% endblock content %}

      </main>
    </div>
    <div class="footer-manager__footer section-board">
      <footer class="section-board__section footer">
        <address class="footer__address">
          <p class="footer__site-title">Justus Beyer</p>
          <p>
            Diplom-Tonmeister&ensp;<span class="footer__separation-character">|</span>&ensp;recording producer
          </p>
          <a href="tel:‭+4917626597653‬">‭+49 176 / 26 59 76 53‬</a>
          <a href="mailto:info@justusbeyer.com‬">info@justusbeyer.com‬</a>
        </address>
        <nav class="footer__menu">
          <div class="footer__menu-subgroup footer__menu_primary">
            {% for item in footer_menu_items__primary %}
              <a class="footer__menu-item" href="{% url item.url_name %}">{{ item.label }}</a>
            {% endfor %}
          </div>
          <div class="footer__menu-subgroup footer__menu-secondary">
            {% for item in footer_menu_items__secondary %}
              <a class="footer__menu-item"
                 href="{% url item.url_name %}{% if item.anchor_name %}#{{ item.anchor_name }}{% endif %}">
                {{ item.label }}
              </a>
            {% endfor %}
          </div>
        </nav>
      </footer>
    </div>
  </body>
  <script src={% static 'core/js/script-min.js' %}></script>
</html>
